Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface IChange

All Known Implementing Classes:
  FButton, FCheckBox, FCheckBoxMenuItem, FMenu, FMenuItem, FRadioButton, FRadioButtonMenuItem, FToggleButton

public interface IChange

Interface fuer ChangeEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer ChangeEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addChangeListener(ChangeListener listener)` Fuegt dem Control den uebergebenen Listener als ChangeListener hinzu.
`String` | `getActionClassForChange()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein ChangeEvent ausgeloest wurde.
`void` | `removeChangeListener(ChangeListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForChange(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ChangeEvent ausgeloest wurde.

Method Detail

### getActionClassForChange

    public String getActionClassForChange()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein ChangeEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer ChangeEvent.

### setActionClassForChange

    public void setActionClassForChange(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ChangeEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer ChangeEvent.

### addChangeListener

    public void addChangeListener(ChangeListener listener)

  Fuegt dem Control den uebergebenen Listener als ChangeListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende ChangeListener.

### removeChangeListener

    public void removeChangeListener(ChangeListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD